| Home | Libraries | People | FAQ | More

## Function template read_ini

boost::property_tree::ini_parser::read_ini

## Synopsis

    // In header: <boost/property_tree/ini_parser.hpp>

    template<typename Ptree>
      void read_ini(std::basic_istream< typename Ptree::key_type::value_type > & stream,
                    Ptree & pt);

## Description

Read INI from a the given stream and translate it to a property tree.

Parameters:

`pt` | The property tree to populate.
`stream` | Stream from which to read in the property tree.

Throws: | ini_parser_error
Notes: | Clears existing contents of property tree. In case of error the property tree is not modified.